Page MenuHomePhabricator

Upgrade Zuul on scandium to 2.5.0-8-gcbc7f62-wmf3jessie1
Closed, ResolvedPublic

Description

As part of cleaning old zuul references on the Zuul merger (T103528), I got a patch prepared and upgraded the package on scandium T145057

Unfortunately the .deb package is wrong and needs a hotfix included in 2.5.0-8-gcbc7f62-wmf3jessie1

zuul (2.5.0-8-gcbc7f62-wmf3jessie1) jessie-wikimedia; urgency=medium

  * sync with precise-wikimedia:

  * Fix shebang of several scripts to point to the virtualenv.
    Refresh 0002-Replace-python-shebang-with-python2.7.patch
    Related to T103529

 -- Antoine Musso <hashar@free.fr>  Tue, 13 Sep 2016 13:33:17 +0200

The new version is already in apt.wikimedia.org:

$ apt-cache policy zuul
zuul:
  Installed: 2.5.0-8-gcbc7f62-wmf2jessie1
  Candidate: 2.5.0-8-gcbc7f62-wmf3jessie1
  Version table:
     2.5.0-8-gcbc7f62-wmf3jessie1 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/main amd64 Packages
 *** 2.5.0-8-gcbc7f62-wmf2jessie1 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/thirdparty amd64 Packages
        100 /var/lib/dpkg/status

Upgrade
Since we lack root access, we need operations to handle the upgrade:

ssh scandium.eqiad.wmnet
systemctl zuul-merger stop
apt-get install zuul
systemctl zuul-merger start

Then trigger a job via Gerrit and check that /var/log/zuul/merger.log has useful output / job pass.

Rollback

Downgrade Zuul to 2.5.0-8-gcbc7f62-wmf2jessie1

This can be done at any time. It will pause CI processing for a few seconds while the service is offline which is really not a big deal.

Event Timeline

hashar created this task.Sep 30 2016, 2:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2016, 2:43 PM

Mentioned in SAL (#wikimedia-operations) [2016-10-11T14:27:58Z] <elukey> upgraded zuul on scandium (T147073)

hashar closed this task as Resolved.Oct 11 2016, 2:30 PM
hashar claimed this task.
hashar added a subscriber: elukey.

Solved by @elukey but that does not fix it :( I have screwed up the package and the shebang is not updated properly bah.